#include <iostream>
#include <omp.h>

using namespace std;

int main () {

//  omp_set_num_threads(6);

  int nthreads=0;
  #pragma omp parallel 
  {
    int threadID = omp_get_thread_num();
    cout << "Hello World from thread " << threadID << endl;

    // wait for all threads
    #pragma omp barrier
    if (threadID==0) {
      nthreads = omp_get_num_threads();
      cout << "Using " << nthreads << " threads!" << endl;
    }
  } /* end omp parallel */

}
